/*************************************************************************/
/*  Gotcha! installation file - Creates a WPS-object for Gotcha!         */
/*  To run this file, just type "install" on the OS/2 command line.      */
/*************************************************************************/

PARSE SOURCE operSystem . sourceFile

IF \(operSystem = "OS/2") THEN DO
    SAY "Please use only with IBM-OS/2 Operating system!"
    EXIT
    END

/*************************************************************************/

'@ECHO OFF'

CALL rxfuncadd 'sysloadfuncs', 'rexxutil', 'sysloadfuncs'
CALL sysloadfuncs

/*************************************************************************/

Ver = "1.75"
GotchaDir = FILESPEC("drive", sourceFile)FILESPEC("path", sourceFile)

SAY ""

/*************************************************************************/

CALL SysFileTree GotchaDir"GOTCHA.EXE",'file','F'
IF file.0 = 0 THEN DO
    SAY "GOTCHA.EXE was not found in the same directory as ",
    FILESPEC("name",sourceFile)

    DO UNTIL \(file.0 = 0)
        SAY ""
        SAY "Please give the full path to the file GOTCHA.EXE."
        SAY "(Press ENTER/RETURN alone to exit)"
        PULL GotchaDir
        IF GotchaDir = "" THEN
            EXIT
        IF (FILESPEC("drive",GotchaDir) = "") | (FILESPEC("path",GotchaDir) = "") THEN
            SAY 'You must give a full path in format "d:\path\"'
        ELSE DO
            IF \(SUBSTR(GotchaDir,length(GotchaDir),1) = "\" ) THEN
                GotchaDir = GotchaDir"\"
            CALL SysFileTree GotchaDir"GOTCHA.EXE",'file','F'
            IF file.0 = 0 THEN
                SAY "Can not find "GotchaDir"GOTCHA.EXE. Please try again."
            END
        END
    SAY ""
    END

/*************************************************************************/

setup = 'PROGTYPE=PM;EXENAME='GotchaDir'GOTCHA.EXE;STARTUPDIR='GotchaDir';'
setup = setup'OBJECTID=<THTH_GOTCHA>;'

SAY ""
SAY "* Creating Gotcha! WPS-object ..."
check = SysCreateObject('WPProgram', 'Gotcha! 'Ver, '<WP_DESKTOP>', setup)

IF check = 0 THEN DO
    SAY "* Could not create WPS-object!"
    SAY "  (Does perhaps an object for Gotcha! already exist?)"
    CALL CHAROUT , "* Do you want to replace the existing object [Y/N] ? "
    key = SysGetKey('ECHO')
    PARSE upper var key key
    SAY ""
    IF key <> 'Y' THEN
        EXIT

    SAY "* Replacing old Gotcha! WPS-object ..."
    check = SysCreateObject('WPProgram','Gotcha! 'Ver,'<WP_DESKTOP>',setup,"r")

    IF check = 0 THEN DO
        SAY ""
        SAY "* Sorry, object-creation failed again. Aborting ..."
        EXIT
        END
    ELSE DO
        SAY ""
        SAY "* Old Gotcha! WPS-object replaced successfully!"
        END
    END
ELSE DO
    SAY ""
    SAY "* Gotcha! WPS-object created successfully!"
    END

/*************************************************************************/

SAY ""
SAY "* See the online help for more information about Gotcha!"
SAY ""
SAY "* Don't forget to copy gotcha.dll to some directory in your LIBPATH!"

/*************************************************************************/

EXIT
